Bug 246109 - net/cloud-init: Update to 20.2
Summary: net/cloud-init: Update to 20.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-01 23:30 UTC by Andrey Fesenko
Modified: 2020-06-24 04:54 UTC (History)
3 users (show)

See Also:


Attachments
Update to 20.2 (862 bytes, patch)
2020-05-01 23:30 UTC, Andrey Fesenko
andrey: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2020-05-01 23:30:31 UTC
Created attachment 214009 [details]
Update to 20.2

BSD: find_devs_with_ refactoring (#298)
freebsd: ensure package update works (#273) [Gonéri Le Bouder]
ec2: render network on all NICs and add secondary IPs as static (#114)(LP: #1866930)
Comment 1 daniel.engberg.lists 2020-05-04 21:24:43 UTC
Having a quick look at upstream repo,

Is licensing really correct? (source repo lists several files)

There are no orig files in sysvinit/freebsd/ as far as I can tell.

Upstream lists at least one version requirement on dependency missing in port
https://github.com/canonical/cloud-init/blob/20.2/requirements.txt#L22

This seems to be what upstreams uses for compile tests so perhaps set those as requirements would be worth taking into consideration?
https://github.com/canonical/cloud-init/blob/20.2/tox.ini#L67

It would be also nice if "make test" worked.
Comment 2 Andrey Fesenko 2020-05-04 22:23:24 UTC
(In reply to daniel.engberg.lists from comment #1)

licensing need think, I unfortunately do not really understand copyright, if you tell me how to correctly

> here are no orig files in sysvinit/freebsd/ as far as I can tell.

explain what exactly do you mean

> dependency missing in port (configobj)

https://svnweb.freebsd.org/ports/head/net/cloud-init/Makefile?revision=529735&view=markup#l22

Add tests, maybe it’s worth adding a separate bug, this need to check, maybe they are very Linux specific
Comment 3 daniel.engberg.lists 2020-06-15 07:46:06 UTC
https://github.com/canonical/cloud-init/blob/master/LICENSE
I just had a quick look at it, looks like you can choose between GPLv3 or Apache 2.0. If you leave it as-is it defaults to GPLv3.

What is https://svnweb.freebsd.org/ports/head/net/cloud-init/Makefile?revision=529735&view=markup#l46 supposed to fix?

I missed confobj, sorry about that however version requirement is missing.

Best regards,
Daniel
Comment 4 Mikael Urankar freebsd_committer 2020-06-16 16:57:47 UTC
Is it ok to commit?
Comment 5 Mikael Urankar freebsd_committer 2020-06-16 16:58:33 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 6 commit-hook freebsd_committer 2020-06-19 11:46:00 UTC
A commit references this bug:

Author: mikael
Date: Fri Jun 19 11:45:13 UTC 2020
New revision: 539604
URL: https://svnweb.freebsd.org/changeset/ports/539604

Log:
  net/cloud-init: Update to 20.2

  PR:		246109
  Submitted by:	Andrey Fesenko (maintainer)

Changes:
  head/net/cloud-init/Makefile
  head/net/cloud-init/distinfo
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-24 04:54:46 UTC
^Triage: Assign to committer that resolved